package com.unipi.talepis.databind3;

import android.arch.lifecycle.ViewModelProviders;
import android.databinding.DataBindingUtil;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;

import com.unipi.talepis.databind3.databinding.ActivityMainBinding;

public class MainActivity extends AppCompatActivity {
    ActivityMainBinding mainBinding;
    Student student;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //setContentView(R.layout.activity_main);
        mainBinding = DataBindingUtil.setContentView(this,R.layout.activity_main);
        mainBinding.setLifecycleOwner(this);
        StudentListViewModel studentListViewModel =
                ViewModelProviders.of(this).get(StudentListViewModel.class);
        if (studentListViewModel.studentList.isEmpty()){
            student = new Student();
            student.getName().setValue("Maria");
            student.getEmail().setValue("mar@ia.gr");
            studentListViewModel.studentList.add(student);
            mainBinding.setStudent(student);
        }else {
            student = studentListViewModel.studentList.get(0);
            mainBinding.setStudent(student);
        }
    }
    public void go(View view){
        student.getName().setValue("John");
        student.getEmail().setValue("jsk@mymail.com");
    }
}
